import eslintPluginPrettier from 'eslint-plugin-prettier';
import eslintConfigPrettier from 'eslint-config-prettier';
import js from '@eslint/js';
import globals from 'globals';
import { readFileSync } from 'fs';
import path from 'path';

export default [
  {
    ignores: ['node_modules', 'dist'],
  },
  {
    files: ['**/*.js'],
    languageOptions: {
      ecmaVersion: 'latest',
      sourceType: 'commonjs',
      globals: {
        ...globals.node,
      },
    },
    plugins: {
      prettier: eslintPluginPrettier,
    },
    rules: {
      ...js.configs.recommended.rules,
      'prettier/prettier': 'error',
      'no-console': 'off',
      'consistent-return': 'off',
      'no-underscore-dangle': 'off',
    },
  },
  {
    settings: {
      prettier: JSON.parse(
        readFileSync(path.resolve('./.prettierrc'), 'utf-8')
      ),
    },
  },
];
