const { Pool } = require('pg');
const { dbUrl } = require('./config');
const { logger } = require('../util/logger');

const pool = new Pool({
  connectionString: dbUrl,
});

pool.on('connect', () => {
  logger.info('connected to Postgres database');
});

pool.on('error', (err) => {
  logger.error(err, 'unexpected database pool error');
});

module.exports = {
  query: (text, params) => pool.query(text, params),
  pool,
};
