const transactionsController = require('../controllers/transactions.controller');
const { logger } = require('../util/logger');

const transactionsRoute = async (req, res) => {
  const accountNo = req.params.accountNo;
  try {
    const data = await transactionsController.getLastTen(accountNo);
    return res.json(data);
  } catch (error) {
    logger.error('error retriving last 10 txns', error);
    return res
      .status(500)
      .json({ message: 'error occured while fetching transactions' });
  }
};

module.exports = transactionsRoute;
