const pino = require('pino');
const isDev = process.env.NODE_ENV !== 'production';

const logger = pino({
  transport: isDev
    ? {
        target: 'pino-pretty',
        options: {
          colorize: true,
          translateTime: 'SYS:standard',
          ignore: 'pid,hostname',
        },
      }
    : undefined,
  level: isDev ? 'debug' : 'info',
});

const requestLogger = (req, _res, next) => {
  logger.info(`${req.method} ${req.url}`);
  next();
};
module.exports = { logger, requestLogger };
